> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# アナリスト・インサイト

<ResponseExample>
  ```json レスポンス (200 OK) theme={null}
  {
    "analyst-insights": [
      {
        "action": "Upgrades",
        "analyst_id": "669ea49c3f2d7e0001303664",
        "analyst_insights": "BWS Financial は、Innodata の株式を Top Pick に格上げし、目標株価を110.00ドルとしました。  \n\n **力強い業績と成長見通し**：Innodata は、特に直近の決算説明会で6,800万ドル規模の事前学習（pretraining）案件を獲得したと発表するなど、顕著な業績拡大と成長ポテンシャルを示しています。これは、大口案件を獲得する同社の能力と、急速に進化するAI市場における強固なポジションを反映しており、今後の収益成長と投資家の信認向上を後押しすると見込まれます。\n\n**戦略的な政府案件の獲得**：2025年第4四半期から開始される政府向け契約の獲得により、Innodata は2026年に向けて新たな事業領域へ大きく拡大する態勢にあります。この取り組みは、年末にかけて同社の売上に大きく寄与すると予想されており、戦略的な成長イニシアチブを示すとともに、市場価値の向上にもつながると評価されています。",
        "date": "2026-01-05",
        "firm": "BWS Financial",
        "firm_id": "57f832d56b87f600016fa43f",
        "id": "695bdd0f7bad4dcabd14a073",
        "pt": "110.00",
        "rating": "Top Pick",
        "rating_id": "695bd5818f047b0001feddd2",
        "security": {
          "cik": "903651",
          "exchange": "NASDAQ",
          "isin": "US4576422053",
          "name": "Innodata",
          "symbol": "INOD"
        },
        "updated": 1767628056
      },
      {
        "action": "Maintains",
        "analyst_id": "669ea49c3f2d7e0001303664",
        "analyst_insights": "BWS Financial は、Innodata の株式に対する Buy 評価を継続し、目標株価を110.00ドルとしました。  \n\n **強い売上成長ポテンシャル**：Innodata は6,800万ドル規模の事前学習（pretraining）案件を獲得しており、同社のAIデータ整備・エンジニアリングサービスに対する強い需要がうかがえます。この成長は、大型契約を獲得する同社の営業力を示すものであり、将来の売上見通しと事業基盤に対する投資家の信頼を高める要因となっています。\n\n**戦略的な政府契約**：同社は、2025年第4四半期から開始される政府向け契約を背景に、2026年にかけて事業機会を拡大できるポジションにあります。この戦略的な一手により、Innodata の収益源は多様化し、年末にかけてより大きな収益貢献が期待されます。これにより、市場シェア拡大と収益性向上のポテンシャルが一層明確になっています。",
        "date": "2026-01-05",
        "firm": "BWS Financial",
        "firm_id": "57f832d56b87f600016fa43f",
        "id": "695bd5cf7bad4dcabd14a070",
        "pt": "110.00",
        "rating": "Buy",
        "rating_id": "695bd5818f047b0001feddd2",
        "security": {
          "cik": "903651",
          "exchange": "NASDAQ",
          "isin": "US4576422053",
          "name": "Innodata",
          "symbol": "INOD"
        },
        "updated": 1767626200
      }
    ]
  }
  ```

  ```json レスポンス (401 Unauthorized) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "auth_failed",
        "id": "unauthorized",
        "value": "認証トークンが無効であるか、指定されていません。"
      }
    ]
  }
  ```

  ```json レスポンス (404 Not Found) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "no_data_found",
        "id": "not_found",
        "value": "指定されたパラメータに該当するデータが見つかりませんでした。"
      }
    ]
  }
  ```

  ```json レスポンス (500 Internal Server Error) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "internal_server_error",
        "id": "server_error",
        "value": "リクエストの処理中に予期しないエラーが発生しました。"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml ja/openapi/calendar-api.spec.yml GET /api/v1/analyst/insights
openapi: 3.0.0
info:
  contact: {}
  description: >-
    تُعيد واجهة برمجة تطبيقات REST هذه بيانات مُنظَّمة لمكالمات المؤتمرات
    الهاتفية (conference calls)، وتوزيعات الأرباح (dividends)، والأرباح (بما في
    ذلك تواريخ الأرباح المستقبلية)، والبيانات الاقتصادية، وإعلانات شركات
    الأدوية، والتوجيّهات المستقبلية للشركات (guidance)، والاكتتابات العامة
    الأولية (IPOs)، والعروض الثانوية، والتقييمات (ratings)، وأنشطة الاندماجات
    والاستحواذات (M&A)، وتجزيئة الأسهم (splits).
  termsOfService: http://swagger.io/terms/
  title: Calendar API
  version: 2.1.0
servers:
  - url: https://api.benzinga.com
    description: PROD
security: []
paths:
  /api/v1/analyst/insights:
    get:
      tags:
        - Analyst Insights
      summary: رؤى المحلّلين V1
      description: >-
        يُرجِع تحليلات ورؤى بحثية حول الأوراق المالية، بما في ذلك تحليلات
        تفصيلية وتوصيات صادرة عن محللين ماليين
      operationId: get-analyst-insights-v1
      parameters:
        - description: >-
            إزاحة الصفحة. لأسباب تتعلق بالتحسين والأداء والاعتبارات التقنية،
            تكون إزاحات الصفحات محصورة بين 0 و 100000. قيِّد نتائج الاستعلام
            باستخدام معاملات أخرى مثل التاريخ. القيمة الافتراضية هي 0
          in: query
          name: page
          schema:
            type: integer
            default: 0
        - description: عدد النتائج المُعادة. الحد الأقصى 1000
          in: query
          name: pageSize
          schema:
            type: integer
            default: 100
        - description: >-
            تاريخ الاستعلام عن بيانات calendar. يُستخدم كاختصار لـ date_from و
            date_to إذا كانتا متطابقتين. القيمة الافتراضية هي الأحدث
          in: query
          name: date
          schema:
            type: string
            format: date
        - description: تاريخ البدء بتنسيق YYYY-MM-DD
          in: query
          name: date_from
          schema:
            type: string
            format: date
        - description: تاريخ الانتهاء بتنسيق YYYY-MM-DD
          in: query
          name: date_to
          schema:
            type: string
            format: date
        - description: رمز تداول واحد أو أكثر تفصل بينها فواصل. بحد أقصى 50 من رموز الأسهم
          in: query
          name: symbols
          schema:
            type: string
            format: csv
        - description: محلِّل
          in: query
          name: analyst
          schema:
            type: string
        - description: معرّف التصنيف
          in: query
          name: rating_id
          schema:
            type: string
        - description: نوع مفاتيح البحث
          in: query
          name: search_keys_type
          schema:
            type: string
            enum:
              - firm_id
              - firm
              - analyst_id
              - analyst_name
        - description: مفاتيح البحث
          in: query
          name: search_keys
          schema:
            type: string
        - description: >-
            حقل الفرز، بالتنسيق: field:order (مثال: date:asc). القيمة
            الافتراضية: desc.
          in: query
          name: sort
          schema:
            type: string
            enum:
              - date
        - description: >-
            الطابع الزمني Unix (بتوقيت UTC) لآخر تحديث للسجلات. سيُجبِر هذا
            ترتيب الفرز على أن يكون أكبر من أو يساوي الطابع الزمني المُشار إليه
          in: query
          name: parameters[updated]
          schema:
            type: integer
      responses:
        '200':
          description: رؤى المحللين
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.AnalystInsightsResponse'
        '400':
          description: طلب غير صالح
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '500':
          description: خطأ داخلي في الخادم
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api.AnalystInsightsResponse:
      description: استجابة واجهة برمجة التطبيقات API التي تتضمن مصفوفة سجلات لرؤى المحللين
      properties:
        analyst-insights:
          items:
            $ref: '#/components/schemas/calendarapi.AnalystInsights'
          type: array
      type: object
    api.ErrorResponse:
      properties:
        text:
          type: string
      type: object
    calendarapi.AnalystInsights:
      properties:
        action:
          example: Maintains
          type: string
        analyst_id:
          example: 60a7f5e8e4b0f5a3c8e9f5b8
          type: string
        analyst_insights:
          example: Strong fundamentals support higher valuation
          type: string
        date:
          example: '2024-01-09T00:00:00.000Z'
          type: string
        firm:
          example: Goldman Sachs
          type: string
        firm_id:
          example: 60a7f5e8e4b0f5a3c8e9f5b7
          type: string
        id:
          example: 60a7f5e8e4b0f5a3c8e9f5b6
          type: string
        pt:
          example: '200.00'
          type: string
        rating:
          example: Buy
          type: string
        rating_id:
          example: 60a7f5e8e4b0f5a3c8e9f5b9
          type: string
        security:
          $ref: '#/components/schemas/calendarapi.AnalystInsightsSecurity'
        updated:
          example: 1704819600
          type: integer
      type: object
    calendarapi.AnalystInsightsSecurity:
      properties:
        cik:
          example: '320193'
          type: string
        exchange:
          example: NASDAQ
          type: string
        isin:
          example: US0378331005
          type: string
        name:
          example: Apple Inc.
          type: string
        symbol:
          example: AAPL
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: query
      name: token
      type: apiKey

````